Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Schedule_All_Reactive_Strategy< SVC_HANDLER > Class Template Reference

Defines the interface for specifying how to suspend and resume a single-threaded reactive service . More...

`#include <Strategies_T.h>`

Inheritance diagram for ACE_Schedule_All_Reactive_Strategy< SVC_HANDLER >:

[legend]
Collaboration diagram for ACE_Schedule_All_Reactive_Strategy< SVC_HANDLER >:

[legend]
List of all members.

## Public Types
typedef ACE_Scheduling_Strategy< SVC_HANDLER > | base_type
## Public Methods
| ACE_Schedule_All_Reactive_Strategy (SVC_HANDLER *=0)
| Constructor.
virtual int | suspend (void)
| Suspend hook.
virtual int | resume (void)
| Resume hook.
virtual void | dump (void) const
| Dump the state of the object.
## Protected Attributes
ACE_Reactor * | reactor_
| Reactor.

## Detailed Description

### template<class SVC_HANDLER>
class ACE_Schedule_All_Reactive_Strategy< SVC_HANDLER >

Defines the interface for specifying how to suspend and resume a single-threaded reactive service .

This class provides a strategy that suspends and resumes all the Event_Handlers in a Reactor in one fell swoop.

## Member Typedef Documentation

template<class SVC_HANDLER>
typedef ACE_Scheduling_Strategy<SVC_HANDLER> ACE_Schedule_All_Reactive_Strategy< SVC_HANDLER >::base_type

## Constructor & Destructor Documentation

template<class SVC_HANDLER>
ASYS_INLINE ACE_Schedule_All_Reactive_Strategy< SVC_HANDLER >::ACE_Schedule_All_Reactive_Strategy | ( | SVC_HANDLER * | = 0 | ) |

| Constructor.

## Member Function Documentation

template<class SVC_HANDLER>
void ACE_Schedule_All_Reactive_Strategy< SVC_HANDLER >::dump | ( | void |  | ) | const`[virtual]`

| Dump the state of the object. Reimplemented from ACE_Scheduling_Strategy< SVC_HANDLER >.

template<class SVC_HANDLER>
ASYS_INLINE int ACE_Schedule_All_Reactive_Strategy< SVC_HANDLER >::resume | ( | void |  | ) | `[virtual]`

| Resume hook. Reimplemented from ACE_Scheduling_Strategy< SVC_HANDLER >.

template<class SVC_HANDLER>
ASYS_INLINE int ACE_Schedule_All_Reactive_Strategy< SVC_HANDLER >::suspend | ( | void |  | ) | `[virtual]`

| Suspend hook. Reimplemented from ACE_Scheduling_Strategy< SVC_HANDLER >.

## Member Data Documentation

template<class SVC_HANDLER>
ACE_Reactor* ACE_Schedule_All_Reactive_Strategy< SVC_HANDLER >::reactor_`[protected]`

| Reactor.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Strategies_T.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Strategies_T.cpp
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Strategies_T.i